// index.ts
// 获取应用实例
const app = getApp<IAppOption>();
import { getAction, postAction } from '../../../../api/base';

Page({
  data: {
    signInInfo: {
      projectId: '-',
      projectName: '-',
      vehicleId: '-',
      plateNumber: '-',
      signInType: '-',
      signInAddress: '-',
      signInTime: '-年-月-日 --:--:--'
    }
  },
  // 获取签到状态
  getCheckStatus() {
    this.setData({
      signInInfo: wx.getStorageSync('signInInfo')
    });
    wx.removeStorageSync('signInInfo');
  },
  showSignInReocrd() {
    wx.navigateTo({
      url: '../signInReocrd/signInReocrd',
      fail: e => {
        console.log(e);
      }
    });
  },
  comeBack() {
    wx.navigateBack({
      delta: 1,
      fail: e => {
        console.log(e);
      }
    });
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {},

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {},

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    this.getCheckStatus();
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {}
});
